BasicDesktopIconUI.MouseInputHandler (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.basic.BasicDesktopIconUI.MouseInputHandler class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicDesktopIconUI.MouseInputHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - javax.swing.plaf.basic.BasicDesktopIconUI.MouseInputHandler

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`, `MouseInputListener`
  Enclosing class:
    BasicDesktopIconUI

      public class BasicDesktopIconUI.MouseInputHandler
      extends MouseInputAdapter

  Listens for mouse movements and acts on them. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicDesktopIconUI`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MouseInputHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `moveAndRepaint​(JComponent f, int newX, int newY, int newWidth, int newHeight)` | Moves and repaints a component `f`.

    - ### Methods declared in class java.awt.event.MouseAdapter

      `mouseDragged, mouseMoved, mouseWheelMoved`

    - ### Methods declared in interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods declared in interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseInputHandler

          public MouseInputHandler()

  - ### Method Detail

    - #### moveAndRepaint

          public void moveAndRepaint​(JComponent f,
                                     int newX,
                                     int newY,
                                     int newWidth,
                                     int newHeight)

      Moves and repaints a component `f`.
      Parameters:
        `f` - a component
        `newX` - a new X coordinate
        `newY` - a new Y coordinate
        `newWidth` - a new width
        `newHeight` - a new height